Get Custom Group

Get Custom Group
Get custom group

Get a custom group with or without policy

Request
URI
GET
https://{api_host}/suite-api/api/resources/groups/{groupId}
COPY
Path Parameters
string
groupId
Required

Group identifier

Query Parameters
boolean
includePolicy
Optional
Constraints: default: false

Flag that controls the retrieval of policy identifier applied to group


Authentication
This operation uses the following authentication methods.
Responses
200

The custom group with sought identifier

Returns custom-group of type(s) application/json
"{\n  \"id\" : \"358bf85c-e8c4-46dd-bb12-120da5bdeb2b\",\n  \"resourceKey\" : {\n    \"name\" : \"Sample Custom Group with Metric Key Condition\",\n    \"adapterKindKey\" : \"Container\",\n    \"resourceKindKey\" : \"Environment\"\n  },\n  \"autoResolveMembership\" : false,\n  \"membershipDefinition\" : {\n    \"includedResources\" : [ ],\n    \"excludedResources\" : [ ],\n    \"custom-group-properties\" : [ ],\n    \"rules\" : [ {\n      \"resourceKindKey\" : {\n        \"resourceKind\" : \"VirtualMachine\",\n        \"adapterKind\" : \"VMWARE\"\n      },\n      \"statConditionRules\" : [ {\n        \"key\" : \"cpu|usage_average\",\n        \"doubleValue\" : 85.0,\n        \"compareOperator\" : \"GT\"\n      } ],\n      \"propertyConditionRules\" : [ ],\n      \"resourceNameConditionRules\" : [ ],\n      \"relationshipConditionRules\" : [ ],\n      \"resourceTagConditionRules\" : [ ]\n    } ]\n  }\n}"
boolean
autoResolveMembership
Optional

Automatically update membership

string As uuid As uuid
id
Optional

Identifier of custom group

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

object
membershipDefinition
Required

Custom group membership definition

string As uuid As uuid
policy
Optional

Policy identifier

object
resourceKey
Required

Represents a composite key for uniquely identifying a Resource.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/resources/groups/{groupId}